### Function

# Pango.scan_word

#### Declaration [src]

    gboolean
    pango_scan_word (
      const char** pos,
      GString* out
    )

#### Description [src]

Scans a word into a `GString` buffer.

A word consists of [A-Za-z_] followed by zero or more [A-Za-z_0-9]. Leading white space is skipped.

#### Parameters

`pos` | `const char**`
| in/out string position
| Direction: in-out
| Ownership of the data is transferred to the callee
| The string is a NUL terminated UTF-8 string
`out` | `GString*`
| a `GString` into which to write the result
| Ownership is not transferred to the callee

#### Return value

Returns: `gboolean`
`FALSE` if a parse error occurred.